Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 189798 - Please keyword OpenEXR 1.6.1 and dependencies
Summary: Please keyword OpenEXR 1.6.1 and dependencies
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on:
Blocks: gcc-4.3-stable
  Show dependency tree
 
Reported: 2007-08-22 07:55 UTC by Arfrever Frehtes Taifersar Arahesis (RETIRED)
Modified: 2008-12-10 10:48 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
media-libs/openexr/openexr-1.6.0.ebuild (openexr-1.6.0.ebuild,1.13 KB, text/plain)
2007-08-27 06:22 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details
media-libs/ilmbase/ilmbase-1.0.0.ebuild (ilmbase-1.0.0.ebuild,637 bytes, text/plain)
2007-08-27 06:23 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details
media-libs/ilmbase/files/ilmbase-1.0.0-asneeded.patch (ilmbase-1.0.0-asneeded.patch,430 bytes, patch)
2007-08-27 06:24 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details | Diff
media-libs/ctl/ctl-1.4.0.ebuild (ctl-1.4.0.ebuild,596 bytes, text/plain)
2007-08-27 06:25 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details
media-libs/openexr_ctl/openexr_ctl-1.0.0.ebuild (openexr_ctl-1.0.0.ebuild,570 bytes, text/plain)
2007-08-27 06:25 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details
media-libs/openexr_viewers/openexr_viewers-1.0.0.ebuild (openexr_viewers-1.0.0.ebuild,1.21 KB, text/plain)
2007-08-27 06:26 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details
media-gfx/openexr_viewers/files/openexr_viewers-1.0.0-nvidia-automagic.patch (openexr_viewers-1.0.0-nvidia-automagic.patch,511 bytes, patch)
2007-08-27 06:26 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details | Diff
media-libs/ilmbase/ilmbase-1.0.0.ebuild (ilmbase-1.0.0.ebuild,637 bytes, text/plain)
2007-08-27 13:56 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details
media-libs/openexr/openexr-1.6.0.ebuild (openexr-1.6.0.ebuild,1.13 KB, text/plain)
2007-08-27 13:57 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details
media-libs/openexr_viewers/openexr_viewers-1.0.0.ebuild (openexr_viewers-1.0.0.ebuild,1.21 KB, text/plain)
2007-08-27 13:58 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details
kfile_OpenEXR.patch (kfile_OpenEXR.patch,718 bytes, patch)
2007-08-27 14:03 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details | Diff
media-libs/openexr/openexr-1.6.0.ebuild (openexr-1.6.0.ebuild,1.13 KB, patch)
2007-09-01 00:36 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details | Diff
media-libs/ilmbase/ilmbase-1.0.0.ebuild (ilmbase-1.0.0.ebuild,641 bytes, patch)
2007-09-01 00:37 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details | Diff
media-libs/ctl/ctl-1.4.0.ebuild (ctl-1.4.0.ebuild,600 bytes, patch)
2007-09-01 00:37 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details | Diff
media-libs/openexr_ctl/openexr_ctl-1.0.0.ebuild (openexr_ctl-1.0.0.ebuild,590 bytes, patch)
2007-09-01 00:39 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details | Diff
media-libs/openexr_viewers/openexr_viewers-1.0.0.ebuild (openexr_viewers-1.0.0.ebuild,1.23 KB, patch)
2007-09-01 00:40 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details | Diff
media-libs/openexr/openexr-1.6.0.ebuild (openexr-1.6.0.ebuild,1.14 KB, patch)
2007-09-10 18:03 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details | Diff
media-libs/ilmbase/ilmbase-1.0.0.ebuild (ilmbase-1.0.0.ebuild,641 bytes, text/plain)
2007-09-12 15:55 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details
media-libs/openexr/openexr-1.6.0.ebuild (openexr-1.6.0.ebuild,1.52 KB, text/plain)
2007-09-12 15:56 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details
media-libs/ctl/ctl-1.4.0.ebuild (ctl-1.4.0.ebuild,605 bytes, text/plain)
2007-09-12 15:57 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details
media-libs/openexr_ctl/openexr_ctl-1.0.0.ebuild (openexr_ctl-1.0.0.ebuild,535 bytes, text/plain)
2007-09-12 15:58 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details
media-libs/openexr_ctl/openexr_ctl-1.0.0.ebuild (openexr_ctl-1.0.0.ebuild,535 bytes, text/plain)
2007-09-12 16:00 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details
media-gfx/openexr_viewers/openexr_viewers-1.0.0.ebuild (openexr_viewers-1.0.0.ebuild,1.25 KB, text/plain)
2007-09-12 16:01 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details
media-libs/ilmbase/ilmbase-1.0.0.ebuild (ilmbase-1.0.0.ebuild,633 bytes, text/plain)
2007-09-13 16:27 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details
media-libs/openexr/openexr-1.6.0.ebuild (openexr-1.6.0.ebuild,1.48 KB, text/plain)
2007-09-13 16:28 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details
media-libs/ctl/ctl-1.4.0.ebuild (ctl-1.4.0.ebuild,618 bytes, text/plain)
2007-09-13 16:28 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details
media-libs/openexr_ctl/openexr_ctl-1.0.0.ebuild (openexr_ctl-1.0.0.ebuild,527 bytes, text/plain)
2007-09-13 16:29 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details
media-gfx/openexr_viewers/openexr_viewers-1.0.0.ebuild (openexr_viewers-1.0.0.ebuild,1.26 KB, text/plain)
2007-09-13 16:29 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-22 07:55:59 UTC
media-libs/openexr-1.6.0 was released on 2007-08-04.
Comment 1 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-25 21:29:31 UTC
There is a new dependency - media-libs/ilmbase.
Both packages should have LICENSE="ILM".
Comment 2 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-27 06:21:46 UTC
media-libs/ilmbase-1.0.0 was released on 2007-08-04.
media-libs/ctl-1.4.0 was released on 2007-08-03.
media-libs/openexr_ctl-1.0.0 was released on 2007-08-03.
media-libs/openexr_viewers-1.0.0 was released on 2007-08-04.

Licenses "AMPAS" and "ILM" must be added to ${PORTDIR}/licenses.
Comment 3 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-27 06:22:59 UTC
Created attachment 129282 [details]
media-libs/openexr/openexr-1.6.0.ebuild
Comment 4 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-27 06:23:52 UTC
Created attachment 129284 [details]
media-libs/ilmbase/ilmbase-1.0.0.ebuild
Comment 5 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-27 06:24:28 UTC
Created attachment 129285 [details, diff]
media-libs/ilmbase/files/ilmbase-1.0.0-asneeded.patch
Comment 6 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-27 06:25:09 UTC
Created attachment 129286 [details]
media-libs/ctl/ctl-1.4.0.ebuild
Comment 7 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-27 06:25:45 UTC
Created attachment 129287 [details]
media-libs/openexr_ctl/openexr_ctl-1.0.0.ebuild
Comment 8 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-27 06:26:18 UTC
Created attachment 129289 [details]
media-libs/openexr_viewers/openexr_viewers-1.0.0.ebuild
Comment 9 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-27 06:26:49 UTC
Created attachment 129291 [details, diff]
media-gfx/openexr_viewers/files/openexr_viewers-1.0.0-nvidia-automagic.patch
Comment 10 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-27 13:56:42 UTC
Created attachment 129325 [details]
media-libs/ilmbase/ilmbase-1.0.0.ebuild

Fixed typo.
Comment 11 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-27 13:57:48 UTC
Created attachment 129327 [details]
media-libs/openexr/openexr-1.6.0.ebuild

Fixed typo.
Comment 12 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-27 13:58:48 UTC
Created attachment 129328 [details]
media-libs/openexr_viewers/openexr_viewers-1.0.0.ebuild

Fixed typo.
Comment 13 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-27 14:03:44 UTC
Created attachment 129329 [details, diff]
kfile_OpenEXR.patch

Patch for kde-base/kdegraphics and kde-base/kdegraphics-kfile-plugins.
Comment 14 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-27 14:12:26 UTC
Gentoo KDE team,
Please include patch from Comment #13 in kde-base/kdegraphics and kde-base/kdegraphics-kfile-plugins. New revisions aren't needed, because users, who have updated OpenEXR, will have to run revdep-rebuild, which will reemerge kdegraphics or kdegraphics-kfile-plugins.

See https://bugs.kde.org/show_bug.cgi?id=148865.
Comment 15 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-28 14:43:26 UTC
Vapier added ~sh keyword to OpenEXR 1.2.2-r2 and 1.4.0a, so for each ebuild please run:
sed -i -e "s/~sparc/~sh ~sparc/"
Comment 16 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-28 18:05:22 UTC
(In reply to comment #13)
> kfile_OpenEXR.patch
> 
> Patch for kde-base/kdegraphics and kde-base/kdegraphics-kfile-plugins.

I think that this patch may be named kdegraphics-kfile-plugins-3.5.7-openexr-1.6.0.patch.
Comment 17 Wulf Krueger (RETIRED) gentoo-dev 2007-08-28 20:43:56 UTC
I've extensively and successfully tested the patch against both older and the new version of openexr and as it comes directly from upstream, I've applied it.

kde is done here.
Comment 18 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-29 16:15:50 UTC
Comment on attachment 129329 [details, diff]
kfile_OpenEXR.patch

Applied.
Comment 19 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-08-29 16:17:20 UTC
Media-Video Herd,
Please continue with adding of these files to the tree.

Remember about sed -i -e "s/~sparc/~sh ~sparc/".
Comment 20 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-01 00:36:38 UTC
Created attachment 129737 [details, diff]
media-libs/openexr/openexr-1.6.0.ebuild
Comment 21 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-01 00:37:17 UTC
Created attachment 129738 [details, diff]
media-libs/ilmbase/ilmbase-1.0.0.ebuild
Comment 22 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-01 00:37:55 UTC
Created attachment 129739 [details, diff]
media-libs/ctl/ctl-1.4.0.ebuild
Comment 23 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-01 00:39:04 UTC
Created attachment 129740 [details, diff]
media-libs/openexr_ctl/openexr_ctl-1.0.0.ebuild

Fixed typo in dependencies.
Comment 24 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-01 00:40:05 UTC
Created attachment 129741 [details, diff]
media-libs/openexr_viewers/openexr_viewers-1.0.0.ebuild

Fixed typo in dependencies.
Comment 25 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-01 00:40:50 UTC
(In reply to comment #19)
> Remember about sed -i -e "s/~sparc/~sh ~sparc/".

Not relevant any more.
Comment 26 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-10 18:03:49 UTC
Created attachment 130525 [details, diff]
media-libs/openexr/openexr-1.6.0.ebuild

"utils" -> "viewers".
Comment 27 Alexis Ballier gentoo-dev 2007-09-11 20:43:07 UTC
Ok, first of all, thanks for the euiblds. I've been able to have them pass make check, that was probably a gcc bug.

So now here are a few remarks :
- ebuild header is not valid, header.txt states gpl v2 not v3. (running repoman full will tell you that)
- installing ctl with use=doc gives me those files : 
    /usr/share/doc/CTL-1.4.0/CtlManual.doc
    /usr/share/doc/CTL-1.4.0/CtlManual.pdf
    /usr/share/doc/ctl-1.4.0/CtlManual.pdf.bz2
  so they're probably duplicate. (same applies to openexr & use doc, and probably others)
- please put in keywords only the one you have tested in case of new packages.
- please don't pdepend on another package unless absolutetly needed, openexr is intended to be a library so no need to force people to install viewers.
- are you sure openexr_viewers should go in media-libs category ?
Comment 28 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-12 15:53:39 UTC
(In reply to comment #27)
> - ebuild header is not valid, header.txt states gpl v2 not v3.

OK. I'm relicensing these ebuilds.

> - installing ctl with use=doc gives me those files : 
>     /usr/share/doc/CTL-1.4.0/CtlManual.doc
>     /usr/share/doc/CTL-1.4.0/CtlManual.pdf

These were installed by `make install`. Fixed.

>     /usr/share/doc/ctl-1.4.0/CtlManual.pdf.bz2

I disabled useless compression.

> - please put in keywords only the one you have tested in case of new
> packages.

OpenEXR was divided into IlmBase, OpenEXR and OpenEXR_Viewers. CTL and OpenEXR_CTL are realy new and OpenEXR_Viewers package depends on them, so I'm reducing KEYWORDS in case of CTL, OpenEXR_CTL, and OpenEXR_Viewers.

After addition of these ebuilds to gentoo-x86 I can open a bug report concerning rekeywording of these 3 packages (CTL, OpenEXR_CTL, and OpenEXR_Viewers).

> - please don't pdepend on another package unless absolutetly needed, openexr
> is intended to be a library so no need to force people to install viewers.

OK. Information about OpenEXR_Viewers will be displayed in pkg_postinst().

> - are you sure openexr_viewers should go in media-libs category ?

OK. I moved OpenEXR_Viewers to media-gfx category.
Comment 29 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-12 15:55:39 UTC
Created attachment 130727 [details]
media-libs/ilmbase/ilmbase-1.0.0.ebuild
Comment 30 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-12 15:56:58 UTC
Created attachment 130729 [details]
media-libs/openexr/openexr-1.6.0.ebuild
Comment 31 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-12 15:57:26 UTC
Created attachment 130731 [details]
media-libs/ctl/ctl-1.4.0.ebuild
Comment 32 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-12 15:58:36 UTC
Created attachment 130733 [details]
media-libs/openexr_ctl/openexr_ctl-1.0.0.ebuild
Comment 33 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-12 16:00:16 UTC
Created attachment 130734 [details]
media-libs/openexr_ctl/openexr_ctl-1.0.0.ebuild
Comment 34 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-12 16:01:43 UTC
Created attachment 130736 [details]
media-gfx/openexr_viewers/openexr_viewers-1.0.0.ebuild
Comment 35 Alexis Ballier gentoo-dev 2007-09-13 05:31:02 UTC
hmm there are some things I had not seen at first : 
- please use eautoreconf from autotools.eclass for openexr_viewers
- dont install the LICENSE file while installing docs, it's already installed.
- I don't understand why you want to add 'ILM' license. Isn't it a BSD license ?
- you replaced dodoc for cp -v, I tend to prefer dodoc or insinto + doins

For the docs/examples that are now removed in the ebuild, I'd say leave them here and drop the useflag, if the build scripts do not allow to not install them, then imho we shouldn't try to be clever than upstream; and perhaps they prefer that the examples are always installed.
Comment 36 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-13 14:07:02 UTC
(In reply to comment #35)
> - dont install the LICENSE file while installing docs, it's already
> installed.

OK. Fixed.

> - I don't understand why you want to add 'ILM' license. Isn't it a BSD
> license?

I don't know. I'm not lawyer. But I changed it to "BSD".

> - you replaced dodoc for cp -v, I tend to prefer dodoc or insinto + doins

OK. I will use insinto + doins.

> For the docs/examples that are now removed in the ebuild, I'd say leave them
> here and drop the useflag, if the build scripts do not allow to not install
> them, then imho we shouldn't try to be clever than upstream; and perhaps
> they prefer that the examples are always installed.

"examples" USE flag is primarily used to control building of IlmImf example program by $(use_enable examples imfexamples).
Comment 37 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-13 16:26:25 UTC
(In reply to comment #35)
> - please use eautoreconf from autotools.eclass for openexr_viewers

OK. Fixed.

> For the docs/examples that are now removed in the ebuild, I'd say leave them
> here and drop the useflag, if the build scripts do not allow to not install
> them, then imho we shouldn't try to be clever than upstream

Also see bug 111508.
Comment 38 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-13 16:27:40 UTC
Created attachment 130839 [details]
media-libs/ilmbase/ilmbase-1.0.0.ebuild
Comment 39 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-13 16:28:17 UTC
Created attachment 130842 [details]
media-libs/openexr/openexr-1.6.0.ebuild
Comment 40 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-13 16:28:52 UTC
Created attachment 130844 [details]
media-libs/ctl/ctl-1.4.0.ebuild
Comment 41 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-13 16:29:16 UTC
Created attachment 130845 [details]
media-libs/openexr_ctl/openexr_ctl-1.0.0.ebuild
Comment 42 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-09-13 16:29:44 UTC
Created attachment 130847 [details]
media-gfx/openexr_viewers/openexr_viewers-1.0.0.ebuild
Comment 43 Alexis Ballier gentoo-dev 2007-09-13 21:12:22 UTC
(In reply to comment #36)

> > - I don't understand why you want to add 'ILM' license. Isn't it a BSD
> > license?
> 
> I don't know. I'm not lawyer. But I changed it to "BSD".

Neither am I ;) But their web site says it's modified bsd license and it matches our BSD lincense ^^ 
Comment 44 Alexis Ballier gentoo-dev 2007-09-13 21:16:29 UTC
and now they're in the tree, thanks a lot for your ebuilds and work there !

@archs : 
$ diff -u openexr-1.4.0a.ebuild openexr-1.6.0.ebuild | grep KEYWORD
-KEYWORDS="alpha ~amd64 hppa ia64 ~mips ppc ~ppc64 ~sh ~sparc x86"
+KEYWORDS="~amd64 ~x86"

Please rekeyword media-libs/openexr-1.6.0 and media-gfx/openexr_viewers-1.0.0 & depenendcies (media-libs/ctl media-libs/openexr_ctl media-libs/ilmbase), that's the split of openexr.
I could have kept your keywords for ilmbase and openexr as they were present in previous openexr releases, but you'd have lost viewers features by doing this, so I prefer the whole split is keyworded as a whole ;)
Comment 45 Alexis Ballier gentoo-dev 2007-09-13 21:18:19 UTC
bah.. I had tested them on x86... sorry for the noise
Comment 46 Jeroen Roovers gentoo-dev 2007-09-14 05:06:25 UTC
Marked ~hppa.
Comment 47 nixnut (RETIRED) gentoo-dev 2007-09-23 14:22:58 UTC
~ppc'd
Comment 48 Raúl Porcel (RETIRED) gentoo-dev 2007-09-23 16:34:46 UTC
~alpha/~ia64 done
Comment 49 Markus Rothe (RETIRED) gentoo-dev 2007-10-09 16:53:36 UTC
added ~ppc64
Comment 50 Raúl Porcel (RETIRED) gentoo-dev 2007-10-09 17:50:01 UTC
~sparc done
Comment 51 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-10-27 19:49:50 UTC
Gentoo/BSD Team,
You can consider addition of ~x86-fbsd keyword to:
media-libs/ctl-1.4.1
media-libs/openexr_ctl-1.0.1
media-gfx/openexr_viewers-1.0.1
Comment 52 Alexis Ballier gentoo-dev 2008-08-08 22:10:20 UTC
(In reply to comment #51)
> Gentoo/BSD Team,
> You can consider addition of ~x86-fbsd keyword to:
> media-libs/ctl-1.4.1
> media-libs/openexr_ctl-1.0.1
> media-gfx/openexr_viewers-1.0.1
> 

all done now
Comment 53 Samuli Suominen gentoo-dev 2008-12-03 06:13:29 UTC
mips and sh will just lose openexr in 30 days entirely if this isn't handled.
Comment 54 Samuli Suominen gentoo-dev 2008-12-10 07:06:33 UTC
mips just lost openexr entirely. sh is handled in bug 207663.
Comment 55 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2008-12-10 10:48:29 UTC
Reopening to fix resolution.